# Sanskrit TTS
## Info
A text to speech web-app for the ancient language Sanskrit, using [https://github.com/SameeraMurthy/sanskrit-tts](https://github.com/SameeraMurthy/sanskrit-tts) npm library. 

### Writing Scripts
All scripts supported by the `sanskrit-tts` library are supported.
- bengali
- devanagari
- gujarati
- gurmukhi
- kannada
- malayalam
- oriya
- tamil
- telugu
- grantha
- grantamil
- hk (Harvard-Kyoto)
- iast (International Alphabet of Sanskrit Transliteration)
- iso15919 (ISO 15919)
- itrans (ITRANS)
- slp1 (Sanskrit Library Phonetic Basic)
- velthuis (Velthuis)
- wx (WX)

## Instances
| **URL**                                                        | **Country** | **Status** | **Hosted By** |
|----------------------------------------------------------------|-------------|------------|---------------|
| [sanskrit.winsdominoes.net](https://sanskrit.winsdominoes.net) |      🇹🇭     | Up | @WinsDominoes |

## Quick Setup
Wanna try this out? Here's what you need to do
#### Clone this repo 
```
git clone https://github.com/WinsDominoes/sanskrit-tts
```
#### Install packages
```
npm install -y
```
#### Run the application
```
node .
```
The frontend endpoint will be at `http://localhost:3000` and the API endpoint will be at `http://localhost:3000/api/tts`

## Credits
- `sanskrit-tts` library by [https://github.com/SameeraMurthy/sanskrit-tts](https://github.com/SameeraMurthy/sanskrit-tts)
- Material Design Theme by [daemonite.github.io](https://daemonite.github.io/material/)